<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
			require_once("./model/fpdf/fpdf.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$id = $_GET['id'];

			$solicitud = $ges->get_traspaso_almacen_especifico($id);

			if($solicitud['id_catalogo_serializado'] == 2){
				$productos = $ges->get_detalle_requerimiento_traspaso_almacen($id);
			}else{
				$productos2 = $ges->get_detalle_requerimiento_traspaso_almacen_serealizados($id);
			}

			

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/soli_traspaso_almacen.phtml");
				
			}

			if(isset($_POST['GESTIONAR'])){

				$i = 0;

				if($solicitud['id_catalogo_serializado'] == 1){
	
					foreach ($_POST['serie'] as $val){

						$serie = $ges->get_serie_especifica($val);

						$validacion = $ges->get_validacion_producto($serie['id_producto'],$solicitud['id_asignacion_destino']);
						
						if($validacion['total'] == 0){
							$resultado = $ges->set_nuevo_producto($serie['id_producto'],$solicitud['id_asignacion_destino']);
						}

						if($serie['estado_estado'] == 1){
							$resultado = $ges->set_traspaso_almacen_disponible($solicitud['id_asignacion'],$solicitud['id_asignacion_destino'],$val,$serie['id_producto']);
						}
						if($serie['estado_estado'] == 2){
							$resultado = $ges->set_traspaso_almacen_merma($solicitud['id_asignacion'],$solicitud['id_asignacion_destino'],$val,$serie['id_producto']);
						}
						if($serie['estado_estado'] == 3){
							$resultado = $ges->set_traspaso_almacen_malogrado($solicitud['id_asignacion'],$solicitud['id_asignacion_destino'],$val,$serie['id_producto']);
						}

						$i = $i + 1;

					}

					$resultado2 = $ges->update_plantilla_solicitud_traspaso_almacen($id);

					echo'<script type="text/javascript">alert("SE GESTIONO CORRECTAMENTE");window.location.href="solicitud_traspaso_almacen.php";</script>';
				}else{


					foreach ($_POST['sku'] as $val){

						$validacion = $ges->get_validacion_producto($_POST['sku'][$i],$solicitud['id_asignacion_destino']);
						if($validacion['total'] == 0){
							$resultado = $ges->set_nuevo_producto($_POST['sku'][$i],$solicitud['id_asignacion_destino']);
						}

						if($_POST['estado'][$i] == 1){
							$resultado = $ges->set_traspaso_almacen_disponible_sin_serie($solicitud['id_asignacion'],$solicitud['id_asignacion_destino'],$_POST['sku'][$i],$_POST['cantidad'][$i]);
						}
						if($_POST['estado'][$i] == 2){
							$resultado = $ges->set_traspaso_almacen_merma_sin_serie($solicitud['id_asignacion'],$solicitud['id_asignacion_destino'],$_POST['sku'][$i],$_POST['cantidad'][$i]);
						}
						if($_POST['estado'][$i] == 3){
							$resultado = $ges->set_traspaso_almacen_malogrado_sin_serie($solicitud['id_asignacion'],$solicitud['id_asignacion_destino'],$_POST['sku'][$i],$_POST['cantidad'][$i]);
						}

						$i++;

					}

					$resultado2 = $ges->update_plantilla_solicitud_traspaso_almacen($id);
					echo'<script type="text/javascript">alert("SE GESTIONO CORRECTAMENTE");window.location.href="solicitud_traspaso_almacen.php";</script>';
					
				}
			}

			if(isset($_POST['RECHAZAR'])){

				$resultado2 = $ges->update_plantilla_solicitud_traspaso_almacen($id);
				echo'<script type="text/javascript">alert("SE RECHAZO CORRECTAMENTE");window.location.href="solicitud_traspaso_almacen.php";</script>';

			}


?>